Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgGA::EventVisitor Class Reference

Basic EventVisitor implementation for animating a scene. More...

Inheritance diagram for osgGA::EventVisitor:

[legend]
List of all members.

## Public Types
typedef std::list< osg::ref_ptr< GUIEventAdapter > > | EventList
## Public Member Functions
| EventVisitor ()
virtual | ~EventVisitor ()
void | setActionAdapter (osgGA::GUIActionAdapter *actionAdapter)
osgGA::GUIActionAdapter * | getActionAdapter ()
const osgGA::GUIActionAdapter * | getActionAdapter () const
void | setEventList (const EventList &events)
EventList & | getEventList ()
const EventList & | getEventList () const
void | addEvent (GUIEventAdapter *event)
void | removeEvent (GUIEventAdapter *event)
bool | getEventHandled () const
void | setEventHandled (bool handled)
virtual void | reset ()
| Method to call to reset visitor.
virtual void | apply (osg::Node &node)
| During traversal each type of node calls its callbacks and its children traversed.
virtual void | apply (osg::Geode &node)
virtual void | apply (osg::Billboard &node)
virtual void | apply (osg::LightSource &node)
virtual void | apply (osg::Group &node)
virtual void | apply (osg::Transform &node)
virtual void | apply (osg::Projection &node)
virtual void | apply (osg::Switch &node)
virtual void | apply (osg::LOD &node)
virtual void | apply (osg::OccluderNode &node)
## Protected Member Functions
EventVisitor & | operator= (const EventVisitor &)
| Prevent unwanted copy operator.
void | handle_callbacks (osg::StateSet *stateset)
void | handle_callbacks_and_traverse (osg::Node &node)
void | handle_geode_callbacks (osg::Geode &node)
void | traverseGeode (osg::Geode &geode)
## Protected Attributes
osgGA::GUIActionAdapter * | _actionAdapter
EventList | _events
bool | _handled

## Detailed Description

Basic EventVisitor implementation for animating a scene.

This visitor traverses the scene graph, calling each nodes appCallback if it exists.

## Member Typedef Documentation

typedef std::list< osg::ref_ptr<GUIEventAdapter> > osgGA::EventVisitor::EventList

## Constructor & Destructor Documentation

osgGA::EventVisitor::EventVisitor | ( |  | ) |

virtual osgGA::EventVisitor::~EventVisitor | ( |  | ) | `[virtual]`

## Member Function Documentation

void osgGA::EventVisitor::addEvent | ( | GUIEventAdapter * | event | ) |

virtual void osgGA::EventVisitor::apply | ( | osg::OccluderNode & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgGA::EventVisitor::apply | ( | osg::LOD & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgGA::EventVisitor::apply | ( | osg::Switch & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgGA::EventVisitor::apply | ( | osg::Projection & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgGA::EventVisitor::apply | ( | osg::Transform & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgGA::EventVisitor::apply | ( | osg::Group & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgGA::EventVisitor::apply | ( | osg::LightSource & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgGA::EventVisitor::apply | ( | osg::Billboard & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgGA::EventVisitor::apply | ( | osg::Geode & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgGA::EventVisitor::apply | ( | osg::Node & | node | ) | `[inline, virtual]`

| During traversal each type of node calls its callbacks and its children traversed. Reimplemented from osg::NodeVisitor.

const osgGA::GUIActionAdapter* osgGA::EventVisitor::getActionAdapter | ( |  | ) | const`[inline]`

osgGA::GUIActionAdapter* osgGA::EventVisitor::getActionAdapter | ( |  | ) | `[inline]`

bool osgGA::EventVisitor::getEventHandled | ( |  | ) | const`[inline]`

const EventList& osgGA::EventVisitor::getEventList | ( |  | ) | const`[inline]`

EventList& osgGA::EventVisitor::getEventList | ( |  | ) | `[inline]`

void osgGA::EventVisitor::handle_callbacks | ( | osg::StateSet * | stateset | ) | `[inline, protected]`

void osgGA::EventVisitor::handle_callbacks_and_traverse | ( | osg::Node & | node | ) | `[inline, protected]`

void osgGA::EventVisitor::handle_geode_callbacks | ( | osg::Geode & | node | ) | `[inline, protected]`

EventVisitor& osgGA::EventVisitor::operator= | ( | const EventVisitor & |  | ) | `[inline, protected]`

| Prevent unwanted copy operator.

void osgGA::EventVisitor::removeEvent | ( | GUIEventAdapter * | event | ) |

virtual void osgGA::EventVisitor::reset | ( |  | ) | `[virtual]`

| Method to call to reset visitor. Useful if your visitor accumulates state during a traversal, and you plan to reuse the visitor. To flush that state for the next traversal: call reset() prior to each traversal. Reimplemented from osg::NodeVisitor.

void osgGA::EventVisitor::setActionAdapter | ( | osgGA::GUIActionAdapter * | actionAdapter | ) | `[inline]`

void osgGA::EventVisitor::setEventHandled | ( | bool | handled | ) | `[inline]`

void osgGA::EventVisitor::setEventList | ( | const EventList & | events | ) | `[inline]`

void osgGA::EventVisitor::traverseGeode | ( | osg::Geode & | geode | ) | `[inline, protected]`

## Member Data Documentation

osgGA::GUIActionAdapter* osgGA::EventVisitor::_actionAdapter`[protected]`

EventList osgGA::EventVisitor::_events`[protected]`

bool osgGA::EventVisitor::_handled`[protected]`

The documentation for this class was generated from the following file:

- EventVisitor